#!/bin/sh
#
# $FreeBSD: ports/www/lighttpd/files/lighttpd.sh.tmpl,v 1.3 2005/02/06 16:30:35 sem Exp $
#

# PROVIDE: lighttpd
# REQUIRE: DAEMON
# BEFORE: LOGIN
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf to enable lighttpd:
#
#lighttpd_enable="YES"
#
# See lighttpd(1) for manual
#

. /etc/rc.subr

name=lighttpd
rcvar=`set_rcvar`

command=/usr/local/sbin/lighttpd
pidfile=/var/run/lighttpd.pid
required_files=${lighttpd_conf}

stop_postcmd=stop_postcmd

stop_postcmd()
{
  rm -f $pidfile
}

# set defaults

lighttpd_enable=${lighttpd_enable:-"NO"}
lighttpd_conf=${lighttpd_conf:-"/usr/local/etc/lighttpd.conf"}

load_rc_config $name

command_args="-f ${lighttpd_conf}"
run_rc_command "$1"
